Source: https://manu-tests-all-orgs.docs-staging.pageloop.ai/api-reference/workflows/getapi-v1-workspaces-workspaceid-request-automations-type-update-request-fields

# Get details of a request field

GET `https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{type}/update-request-fields`

## Authorization

#### X-Api-Key (header, string, required)

API key authentication.

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### workspaceId (path, integer, required)

ID of the workspace.

#### type (path, enum (string), required) — allowed: QUESTION\_REQUEST, SERVICE\_REQUEST, INCIDENT\_REQUEST, REQUEST, CHANGE, NOTIFICATIONS, CUSTOM\_OBJECT, ASSET

Type of request automation.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{type}/update-request-fields' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{type}/update-request-fields', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/request-automations/{type}/update-request-fields',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
